/*
 *   Copyright 2011 Brian Rosenberger (Brutex Network)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *
 *       http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */

package net.brutex.xservices.types;

import java.io.File;
import java.io.IOException;

import javax.activation.DataHandler;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlMimeType;

public class AttachmentType {
	
	private DataHandler content;
	private String filename = null;

	public void setContent(DataHandler content) {
		this.content = content;
	}

	@XmlMimeType("application/octet-stream")
	@XmlElement(required=true)
	public DataHandler getContent() {
		return content;
	}
	
	public String getFilename() {
		if(filename==null || filename.equals("")) {
			try {
				filename = File.createTempFile("XServices_", ".tmp").getPath();
			} catch (IOException e) {
				// TODO Auto-generated catch block
				e.printStackTrace();
			}
		}
		return filename;
	}
	
	public void setFilename(String filename) {
		this.filename = filename;
	}

}
